<?php
/**
 * 2007-2014 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * No redistribute in other sites, or copy.
 *
 * @author    Help2Presta
 * @copyright 2007-2015 Help2Presta
 * @license   http://localhost
 */

include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/../../init.php');
/* Check to security tocken */
if (Tools::substr(
    Tools::encrypt('employeealert/cronalert'),
    0,
    10
) != Tools::getValue('token') || !Module::isInstalled('employeealert')
) {
    die('Bad token');
}
include(dirname(__FILE__).'/employeealert.php');
$employeealert = new Employeealert();
/* Check if the module is enabled */
if ($employeealert->active) {
    /* Check if the requested shop exists */
    if (_PS_VERSION_ > '1.5.0.0') {
        $shops = Db::getInstance()
                   ->ExecuteS('SELECT id_shop FROM `'._DB_PREFIX_.'shop`');
        $list_id_shop = array();
        foreach ($shops as $shop) {
            $list_id_shop[] = (int)$shop['id_shop'];
        }
        $id_shop = (Tools::getIsset(Tools::getValue('id_shop')) && in_array(
            Tools::getValue('id_shop'),
            $list_id_shop
        )) ? (int)Tools::getValue('id_shop') : (int)Configuration::get('PS_SHOP_DEFAULT');
        $employeealert->cronalert = true;
        /* for the main run initiat the sitemap's files name stored in the database */
        if (!Tools::getIsset(Tools::getValue('continue'))) {
            $employeealert->cronalert((int)$id_shop);
        }
    }
    if (!Tools::getIsset(Tools::getValue('continue'))) {
        $employeealert->cronalert();
    }
}
